• 社区首页
  • 版块
怎么在V20上安装带二笔输入法的小小输入法啊
体验心得219个浏览 ·12个评论
电梯直达到第
sdqyszl
deepin^1
发表于2020-10-25 01:27
楼主
怎么在V20上安装带二笔输入法的小小输入法啊,原来在15.11上安装的程序和方法不行了,青大神抓紧适配啊.
回复收藏只看作者
所有回复
acp881
deepin^4
发表于2020-10-25 02:38
沙发
二笔输入法?这个输入法名字很牛叉
sdqyszl
deepin^1
发表于2020-10-25 03:05
板凳
https://bbs.deepin.org/post/204364
二笔输入法?这个输入法名字很牛叉

原来的15.11可以安装的了,现在升级了,不行了,急.
future
deepin^4
发表于2020-10-25 10:49
地板
小小输入法是一款不错的输入法,可以挂接任意【形码】、【音形码】、【音码】的全功能平台,支持所有编码集,支持编码方案小于48键,编码长度小于64个的各种输入法。您无需再去寻找98五笔、二笔、大手笔、一笔等等的输入法软件,一个小小即可胜任这一切!喜欢内置就内置,喜欢外挂就外挂,自由选择。小小输入法是一款跨平台的输入法,可以支持Windows、Linux、Android平台。

下载地址:yong.dgod.net/index.php?c=thread&fid=2

安装:
进安装目录,执行命令
sudo ./yong-tool.sh --install
如果需要安装64位程序
sudo ./yong-tool.sh --install64
选择作为默认输入法
./yong-tool.sh --select







如果执行./yong-tool.sh --select后,显示报错为/usr/bin/im-config: 3: /usr/share/im-config/data/10_yong.conf: Syntax error: "(" unexpected
请参照下面解决,是从(https://github.com/dgod/yong/issues/7)上面贴来的。

修复:修改/usr/share/im-config/data/10_yong.conf的内容为:
IM_CONFIG_SHORT="Yong Input Method"
IM_CONFIG_LONG="Yong Input Method"
package_auto () {
    package_status yong
}
package_menu () {
    package_status yong
}
然后重新执行./yong-tool.sh --select(不会产生报错),之后注销并重新登录后输入法可以使用。
ps:配置文件是看着ibus、fcitx和其他的一些输入法的配置瞎鼓捣的,至于为什么能用,我就不知道了。还有,我不太会用github,希望上面的内容写得足够清楚。
sdqyszl
deepin^1
发表于2020-10-26 06:36
4楼
好的, 谢谢您的回复,我按您的方法自己装下试试.
sdqyszl
deepin^1
发表于2020-10-26 08:54
5楼
各部分都成功安装啦,也没有报错,就是安装不上.
future
deepin^4
发表于2020-10-27 11:22
6楼
https://bbs.deepin.org/post/204364
各部分都成功安装啦,也没有报错,就是安装不上.

不应该吧,你是怎么安装的?
helloking
deepin^5
发表于2020-10-27 15:14
7楼
在98五笔资源库去下载安装吧,这是安装教程:
  1. https://www.bilibili.com/video/BV1Mb411A7ma
Copy the Code

添加二笔码表:
在你之前安装的小小输入法安装文件中找到erbi.txt文件,放在视频中一样的98WB/yong/mb下,或者下载附件erbi.zip
然后编辑/.yong/yong.ini添加如下

  1. [erbi]
  2. name=二笔
  3. engine=libmb.so
  4. arg=mb/erbi.txt
Copy the Code


还有这个:

然后注销系统
对于不想要的码表可以隐藏
future
deepin^4
发表于2020-10-28 08:03
8楼
我用的超强二笔,可以给你传一个带有超强二笔的小小输入法
sdqyszl
deepin^1
发表于2020-10-28 09:03
9楼
感谢各位的真情帮助,折腾了一天,终于能够挂载上了小小输入法了,采用五笔资源库最新的小小输入法挂载的二笔输入法程序,里面有安装的教程,安装时原文件存放位置不要放在系统盘罗,否则会导致安装失败,要放在数据盘里为宜。根据上面的朋友给出的修改INI文件和添加上二笔码表即可。
lanyun7112
deepin^2
发表于2020-10-28 10:20
10楼
算是一个资深的二笔用户来说一下,一直用rime,全平台通用,win mac linux,从超强二笔到超强音形再到现在超强快码,用了很多年了,所以在这三大平台安装还是有比较有经验(装超强快码).https://github.com/whjiang/cqeb这里有大神已经做好了的,不过我是直接替换,不用装东风破,截图是fcitx5-rime,安装简单,有空你可以摸索一下。
还是简单说下怎么安装吧,
ibus就安装ibus-rime,fcitx就安装fcitx-rime,fcitx5就安装fcitx5-rime
ibus和fcitx的装好的在~/.config/fcitx(ibus)/rime/文件夹下把码表文件放进去,怎么放?
cqkm_userdict.txt(这个是用户码表),cqkm.schema.yaml,cqkm.dict.yaml这三个文件直接放rime下,
cqkm.prism.bin,cqkm.reverse.bin,cqkm.table.bin这三个文件放~/.config/fcitx(ibus)/rime/bliud/文件夹下,再重新部署即可。
fcitx5的rime路径在~/.local/share/fcitx5/rime/,,
注意文件名,我这是快码的文件,你二笔的用相应的
如果没有这个*.dict.yaml文件的话一般也没关系,新版的rime可能要,因不能识别旧版的bin,
从哪里找码表?呃,这个问题可以从手机版的里面提取复制即可



发布帖子

光荣榜

  • 周榜
  • 月榜
  • 总榜